
.namespace Quit

-- Ce script gère les boutons de la popup qui est affichée quand le joueur veut quitter le jeu
function OnEnable()
end

function OnUpdate(dt)
end

function OnDisable()
end

function OnWbpMouseLUp()
	-- Bouton valider : on quitte le jeu
	if self.Name == "Quit_popup_valider_area" then
		-- PlaySoundEffect("int_quitterjeu01")
		PlaySoundEffect("int_click")
		OPCore.Exit()
	-- Bouton annuler
	elseif self.Name == "Quit_popup_annuler_area" then
		-- PlaySoundEffect("int_retourmenu01")
		PlaySoundEffect("int_click")
		curseur.Flags_Visible = false
		
		-- Enlève la popup de confirmation
		Quit_popup.Enabled = false
		
		-- Active les boutons du menus principal
		Menu_StartGame_Parent.Enabled = true
	end
end

function OnMouseOn()
	-- curseur.Position_X = self.Parent.Position_X + self.Position_X - 75
	-- curseur.Position_Y = self.Parent.Position_Y + self.Position_Y - 5
	-- curseur.Flags_Visible = true
	return true
end

function OnMouseOff()
	curseur.Flags_Visible = false
	return true
end
